Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.providers
Class InterceptorBuilder

    java.lang.Object
      com.opensymphony.xwork2.config.providers.InterceptorBuilder

    public class InterceptorBuilder

extends Object

Builds a list of interceptors referenced by the refName in the supplied PackageConfig.

Version:
  $Date$ $Id$
Author:
  Mike, Rainer Hermanns, tmjee

Constructor Summary
`InterceptorBuilder()`

Method Summary
`static List<InterceptorMapping>` | `constructInterceptorReference(InterceptorLocator interceptorLocator, String refName, Map<String,String> refParams, Location location, ObjectFactory objectFactory)` Builds a list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorBuilder

    public InterceptorBuilder()

Method Detail

### constructInterceptorReference

    public static List<InterceptorMapping> constructInterceptorReference(InterceptorLocator interceptorLocator,
                                                                         String refName,
                                                                         Map<String,String> refParams,
                                                                         Location location,
                                                                         ObjectFactory objectFactory)
                                                                  throws ConfigurationException

  Builds a list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).

  Parameters:
    `interceptorLocator` -
    `refName` -
    `refParams` -
  Returns:
    list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.